#ifndef MODULE_AREA_ENTRY_FORBID_H
#define MODULE_AREA_ENTRY_FORBID_H

/**
 * @brief 简要说明
 * @author 戴月腾
 * @date 2019-01-10
 */


#include "module_singleton_base.h"
#include "card.h"



class module_area_entry_forbid:public singleton_base<module_area_entry_forbid>
{
private:
    friend class singleton_base<module_area_entry_forbid>;
    module_area_entry_forbid()
    {
    }

public:

    void on_enter(std::shared_ptr<card_location_base> card_ptr, int index);
    void on_hover(std::shared_ptr<card_location_base> card_ptr, int index);
    void on_leave(std::shared_ptr<card_location_base> card_ptr, int index);
};

#endif // MODULE_AREA_ENTRY_FORBID_H
